summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2018-04-03 20:41:13 +0200
committerPacho Ramos <pacho@gentoo.org>2018-04-03 20:41:52 +0200
commitf2de5f9bb02f5ab6eb3d461e774d1a040d851378 (patch)
tree8c247a5f4a5f7ebca5aa9b381a71ac526d110a6a
parentapp-text/rnv: Fix missing IUSE (#651854) (diff)
downloadgentoo-f2de5f9bb02f5ab6eb3d461e774d1a040d851378.tar.gz
gentoo-f2de5f9bb02f5ab6eb3d461e774d1a040d851378.tar.bz2
gentoo-f2de5f9bb02f5ab6eb3d461e774d1a040d851378.zip
dev-util/hxtools: Bump, fix collisions (#468244) and deps (#514636)
Package-Manager: Portage-2.3.27, Repoman-2.3.9
-rw-r--r--dev-util/hxtools/Manifest1
-rw-r--r--dev-util/hxtools/hxtools-20180301.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/dev-util/hxtools/Manifest b/dev-util/hxtools/Manifest
index f7a7d9921ca..d83b19e9b66 100644
--- a/dev-util/hxtools/Manifest
+++ b/dev-util/hxtools/Manifest
@@ -1 +1,2 @@
DIST hxtools-20121125.tar.xz 287716 BLAKE2B 66c125e4db14b6a6adb49e0d45944969f6c4a4a238d58a03a2d678eda3e5f8bec002c3fa401c1c9458b4840816a0cc3c357e9e5c8c5ed6a062309785c51ec1a7 SHA512 fa15331d8c961b0a3b1a99f592e2b4f9b0531ac294a2fef0f9a5067b5e427ca57e0c62798b1048a1d6005c9655af45136636255f684a129bc997864e8c7c4915
+DIST hxtools-20180301.tar.xz 301516 BLAKE2B 6b768e316de6d9b724cdca5beef1ec14e3482aaf1aa34abc138861782266eac32565cdf7713cc65d3863fb1b3463a21446165ecc7df4f39c4fed168d8efdd3df SHA512 10b6a59367a9d5127116a81ae46c4c0f10dd4cecd60ff78b2dfeb2a304c7a34112df2355b9f939558c8e27d0e255e2df6277da9cc558d4368bcbe4d7130d5326
diff --git a/dev-util/hxtools/hxtools-20180301.ebuild b/dev-util/hxtools/hxtools-20180301.ebuild
new file mode 100644
index 00000000000..38fb9a949d5
--- /dev/null
+++ b/dev-util/hxtools/hxtools-20180301.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="A collection of tools and scripts"
+HOMEPAGE="http://inai.de/projects/hxtools/"
+SRC_URI="http://jftp.inai.de/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+RDEPEND="
+ dev-lang/perl
+ >=sys-apps/util-linux-2.19
+ sys-libs/libcap
+ >=sys-libs/libhx-3.12.1
+ >=sys-apps/pciutils-3
+ x11-libs/libxcb:0=
+"
+DEPEND="${RDEPEND}"
+
+src_install() {
+ default
+
+ # man2html is provided by man
+ rm -rf "${ED}"/usr/bin/man2html
+ rm -rf "${ED}"/usr/share/man/man1/man2html*
+
+ # Don't collide with dev-util/cwdiff
+ mv "${ED}"/usr/bin/cwdiff "${ED}"/usr/bin/cwdiff.hx || die
+ mv "${ED}"/usr/share/man/man1/cwdiff.1 "${ED}"/usr/share/man/man1/cwdiff.hx.1 || die
+}